## Class TImageMapEventParameter

Description

TImageMapEventParameter class.

TImageMapEventParameter represents a postback event parameter when a hotspot is clicked and posts back in a TImageMap. To retrieve the post back value associated with the hotspot being clicked, access PostBackValue.

- since: 3.0
- version: $Id: TImageMap.php 1913 2007-05-08 15:59:13Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TImageMap.php (line 237)

    TComponent
       |
       --TEventParameter
          |
          --TImageMapEventParameter

Method Summary
TImageMapEventParameter __construct (string $postBackValue)
string getPostBackValue ()
Methods
Constructor __construct (line 245)

Constructor.

- access: public

TImageMapEventParameter __construct (string $postBackValue)

- string $postBackValue: post back value associated with the hotspot clicked

getPostBackValue (line 253)

- return: post back value associated with the hotspot clicked
- access: public

string getPostBackValue ()

#### Inherited Methods

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:35:17 -0400 by phpDocumentor 1.3.0RC4